import { defineStore } from 'pinia'
import { ref } from 'vue'

export const useAppStore = defineStore('app', () => {
  const isAppLoading = ref(true)

  const setAppLoading = (loading: boolean) => {
    isAppLoading.value = loading
  }

  return {
    isAppLoading,
    setAppLoading,
  }
})
